%define	name	libao
%define	version	0.8.5
%define release	2mdk
%define	lib_name_orig	libao
%define	lib_major	2
%define	lib_name	%mklibname ao %lib_major

Name:		%{name}
Summary:	Cross Platform Audio Output Library
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	GPL
URL:		http://www.xiph.org/ao/
Source0:	http://www.xiph.org/ao/src/%{name}-%{version}.tar.bz2
Patch0:		libao-0.8.4-fix-optflags.patch.bz2
Patch1:		libao-0.8.3-lib64.patch.bz2
#Patch2:	libao-0.8.4-allow-build-against-alsa-1.0.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	arts esound-devel alsa-lib-devel perl arts-devel
BuildRequires:	automake1.7
%define _requires_exceptions libartsc.so\\|libesd.so\\|libaudiofile.so\\|libaudio.so
# Author: Stan Seibert <indigo@aztec.asu.edu>

%description
Libao is a cross platform audio output library. It currently supports ESD,
OSS, Solaris, and IRIX.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .lib64
#%patch2 -p0

%build
aclocal-1.7
automake-1.7 -a -c --gnu
WANT_AUTOCONF_2_5=1 autoconf
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libao.so.*
%{_libdir}/ao/*
%{_mandir}/man5/*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc CHANGES doc/*.{html,c,css}
%{_includedir}/ao
%{_libdir}/libao.so
%{_libdir}/libao.la
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*

%changelog
* Sat Jul 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-2mdk
- rebuild for new alsa

* Sat May 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.5-1mdk
- 0.8.5
- drop P2 as alsa 1.0 is now supported upstream
- updated url
- spec cosmetics

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-3mdk
- fix buildrequires

* Fri Dec 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.4-2mdk
- allow build against alsa-1.0 by asking for old API
- better find_requires exceptions handling

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.4-1mdk
- new version

* Thu Sep  4 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-8mdk
- fixes invalid-build-requires libarts2-devel

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-7mdk
- mklibname

* Mon Sep  1 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-6mdk
- remove temporarily libarts because it makes gcompris and xmmsao
  crash for some users

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.3-5mdk
- rebuild
- use %%make macro
- use %%makeinstall_std macro

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-4mdk
- rebuild for new devel provides

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-3mdk
- rebuild 

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.3-2mdk
- Patch1: lib64 fixes to ao.m4

* Fri Jul 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.3-1mdk
- new version
- patch #1 integrated upstream

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.2-3mdk
- rebuild for new alsa

* Mon Jan 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.2-2mdk
- have libao.la file (I suck)

* Fri Jan 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.2-1mdk
- new version
- merge RH version:
  - idea of external special requires computation so that we don't blindly
    have unecessary requires on arts/esd/audiofile
  - patch #1 to correctly depend on libdl
  - man page has nothing to do in devel package, have it in main package

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-4mdk
- fix obsolete-tag Copyright
- fix strange-permission

* Mon Aug 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-3mdk
- fix buildrequires

* Mon Aug 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-2mdk
- added man page to the devel package
    by Gotz Waschk <waschk@linux-mandrake.com>

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-1mdk
- new version
- patch1 integrated upstream
- fix non-versioned-file-in-library-package

* Sat Jun 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.0-1mdk
- new version

* Thu Apr 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-2mdk
- don't forever block on a busy dsp

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0
- fix provides
- fix buildrequires

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-2mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-1mdk
- Package for Linux-Mandrake

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
